Web lists-archives.com

Pycollada doesn't import, even if it is installed.




So I wanted to use FreeCAD. Debian Testing has no FreeCAD package, so
I downloaded the AppImage from their Git page. It starts up and runs
OK, but to import Collada meshes it requires PyCollada.

So Debian also doesn't have PyCollada. It has "python-collada" but this
doesn't satisfy the FreeCAD requirement. I'm no expert, but I'm assumed
that it is a different way for Python to handle Collada meshes.

So I used pip to install PyCollada.

FreeCAD still says, "PyCollada not found, Collada support is disabled."

I tried switching between Python 2 and Python 3. No difference.

Is FreeCAD incorporating its own Python executable and libraries in the
AppImage? If so, there's no way for me to add the PyCollada library,
right? Or maybe just the wrong pythonpath so it doesn't find the library?

OK, being a resourceful guy I set up apt pinning (hadn't bothered on this
system) and installed the FreeCAD package from Unstable on my Testing
system. As you'd expect it installed dozens of Python packages. (FreeCAD
is a Python program and scripted in Python.) Only the install failed for
dependency reasons, which boiled down when I analyzed it to a missing
configparser, which I was able to trace to the fact that the shell I was
running apt from had a default Python version of 3.6. Switching to 2.7
let the installation complete.

Mind you, FreeCAD still doesn't work. Run from the Xfce menu or a shell,
it complains that, "No module named WebGUI" something. It gets cut off
there on the status bar. Switching between Python2 and Python3 has no
effect.

I can't find a Python module named "WebGUI" at all.

What the?

Any suggestions?

Running Testing on an AMD64 CPU. Add'l information if you can tell me
what would be useful.

Thanks.

--
Carl Fink          carl@xxxxxxxxxxxxxxx
Thinking and logic and stuff at Reasonably Literate
http://reasonablyliterate.com